<script setup>
import Game from "@/Components/Games/Game.vue";
import {onMounted, ref} from "vue";
import { register } from 'swiper/element/bundle';
import _ from "lodash";
register();
const items = defineProps({
    'tags':Object,
    'sliders':Object
})

let nowTab = ref(_.head(items.tags.data));

let breakpointsTabs = ref({
    960: {
        spaceBetween: 11
    }
})

let changeTab = (tab) => {
    nowTab.value = tab
}

let swiper = ref(null);
let scrollbar = ref(null);

onMounted(() => {
    ref(swiper.value.offsetWidth);
})
</script>

<template>
    <section class="block">
        <div class="container">
            <div class="block__inner">
                <div class="block__line">
                    <p class="block__title">ИГРЫ и Приложения</p>
                    <swiper-container class="block__buttons-wrapper"
                                      :loop="false"
                                      :space-between="9"
                                      :slides-per-view="'auto'"
                                      :scrollbar="{el: '.block__buttons-scrollbar',draggable: true}"
                                      :breakpoints="breakpointsTabs" ref="swiper">
                        <swiper-slide v-for="tab in items.tags.data">
                            <a :class="{active:nowTab === tab}" class="block__buttons-button swiper-slide"
                               @click.prevent="changeTab(tab)"
                               href="#">{{ tab.name }}
                            </a>
                        </swiper-slide>
                    </swiper-container>
                    <div class="block__buttons-scrollbar"></div>
                </div>
                <div class="block__content-wrapper">
                    <template v-for="item in items.tags.data" :key="item.id">
                        <div v-if="item.id === nowTab.id" class="block__content">
                            <Game  v-for="game in item.games" :game="game" :key="game.id" />
                        </div>
                    </template>
                </div>
                <div v-if="" class="block__button-wrapper">
                    <a class="block__button button" href="catalog.html">Смотреть больше</a>
                </div>
            </div>
        </div>
    </section>
</template>

<style scoped>

</style>
